Skip to main content
PATCH
Update Custom Destination

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Custom destination ID

Pattern: ^[1-9]\d*$

Body

application/json
name
string
Required string length: 1 - 255
type
string

Custom type name (ct_name)

Required string length: 1 - 255
param1
string
Maximum string length: 255
param2
string
Maximum string length: 255
param3
string
Maximum string length: 255
param4
string
Maximum string length: 255
param5
string
Maximum string length: 255
param6
string
Maximum string length: 255

Response

200 - application/json

Updated custom destination

id
number
required

Custom destination ID

tenantId
number
required

Tenant ID

name
string
required

Custom destination name

customType
object
required

Resolved custom type

param1
string
required
param2
string
required
param3
string
required
param4
string
required
param5
string
required
param6
string
required
param7
string
required
param8
string
required